experiments.droneControl

## Class VECTOR

- java.lang.Object
- - experiments.droneControl.VECTOR

    public class VECTOR
    extends java.lang.Object

The Class VECTOR.

### Constructor Summary

Constructors
Constructor and Description
`VECTOR()`

### Method Summary

All Methods Static Methods Concrete Methods
`static double[]` `difference(double[] tab1, double[] tab2)` Difference.
`static double[]` `identity(int size)` Identity.
`static double` `norm(double[] tab1)` Norm.
`static double[]` `product(double coef, double[] tab)` Product.
`static double[]` `projection(double[] tab1, double[] tab2)` Projection of tab1 on tab2.
`static double` `scalarProduct(double[] tab1, double[] tab2)` Scalar product.
`static double[]` `sum(double[] tab1, double[] tab2)` Sum.
`static double[]` `termProduct(double[] tab1, double[] tab2)` Term product.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VECTOR

    public VECTOR()

### Method Detail

#### sum

    public static double[] sum(double[] tab1,
                               double[] tab2)

Sum.

Parameters:
  `tab1` - the tab 1
  `tab2` - the tab 2
Returns:
  the double[]

#### difference

    public static double[] difference(double[] tab1,
                                      double[] tab2)

Difference.

Parameters:
  `tab1` - the tab 1
  `tab2` - the tab 2
Returns:
  the double[]

#### termProduct

    public static double[] termProduct(double[] tab1,
                                       double[] tab2)

Term product.

Parameters:
  `tab1` - the tab 1
  `tab2` - the tab 2
Returns:
  the double[]

#### norm

    public static double norm(double[] tab1)

Norm.

Parameters:
  `tab1` - the tab 1
Returns:
  the double

#### scalarProduct

    public static double scalarProduct(double[] tab1,
                                       double[] tab2)

Scalar product.

Parameters:
  `tab1` - the tab 1
  `tab2` - the tab 2
Returns:
  the double

#### product

    public static double[] product(double coef,
                                   double[] tab)

Product.

Parameters:
  `coef` - the coef
  `tab` - the tab
Returns:
  the double[]

#### projection

    public static double[] projection(double[] tab1,
                                      double[] tab2)

Projection of tab1 on tab2.

Parameters:
  `tab1` - the tab 1
  `tab2` - the tab 2
Returns:
  the double[]

#### identity

    public static double[] identity(int size)

Identity.

Parameters:
  `size` - the size
Returns:
  the double[]